NoSuchProviderException (Java Platform SE 8 )
Keywords: java.security.NoSuchProviderException class
Date: 2015-05-24

compact1, compact2, compact3
java.security

## Class NoSuchProviderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - java.security.NoSuchProviderException

- All Implemented Interfaces:
    Serializable

      public class NoSuchProviderException
      extends GeneralSecurityException

  This exception is thrown when a particular security provider is requested but is not available in the environment.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSuchProviderException()` Constructs a NoSuchProviderException with no detail message.
    `NoSuchProviderException(String msg)` Constructs a NoSuchProviderException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSuchProviderException

          public NoSuchProviderException()

      Constructs a NoSuchProviderException with no detail message. A detail message is a String that describes this particular exception.

    - #### NoSuchProviderException

          public NoSuchProviderException(String msg)

      Constructs a NoSuchProviderException with the specified detail message. A detail message is a String that describes this particular exception.
      Parameters:
        `msg` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.